/*************************************************************************/
/* Nom : getkey                                                          */
/*                                                                       */
/* Role : Fonction pour l'utilisation du clavier                         */
/*                                                                       */
/* Entree : -                                                            */
/* Sortie : Renvoi du code de la touche                                  */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 15/12/1996 | Reprise a partir d'un fichier existant.            */
/*     |            |                                                    */
/*************************************************************************/

#include "include\prototyp.h"
#include "include\keyboard.h"

unsigned int getkey( void )
{
 int Touche;

 Touche = getkb(); /* lecture de la touche frappee */

 return ((Touche & 255) == 0) ? (Touche >> 8) + 256 : Touche & 255;
}
